org.apache.lucene.util

## Interface MutableBits

- All Superinterfaces:
    Bits

      public interface MutableBits
      extends Bits

  Extension of Bits for live documents.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.lucene.util.Bits

      `Bits.MatchAllBits, Bits.MatchNoBits`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Bits

      `EMPTY_ARRAY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(int index)` Sets the bit specified by `index` to false.

    - ### Methods inherited from interface org.apache.lucene.util.Bits

      `get, length`

- - ### Method Detail

    - #### clear

          void clear(int index)

      Sets the bit specified by `index` to false.
      Parameters:
        `index` - index, should be non-negative and < `Bits.length()`. The result of passing negative or out of bounds values is undefined by this interface, just don't do it!

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.